Name:		gstreamer1-plugins-vmeta
Version:	0.0.20130822
Release:	1%{?dist}
Summary:	gstreamer1-plugins-vmeta

Group:		Applications/Multimedia
License:	LGPLv2+
URL:		https://github.com/dv1/gst-vmeta

# create with:
# git archive --format=tar --prefix=gst-vmeta-0.0.20130822/ HEAD | \
#     gzip > gst-vmeta-0.0.20130822.tar.gz
Source0:	gst-vmeta-%{version}.tar.gz

BuildRequires: gstreamer1-devel gstreamer1-plugins-base-devel

%description


%prep
%setup -q -n gst-vmeta-%{version}

%build
export CFLAGS="$RPM_OPT_FLAGS -I/usr/include/vmeta"
export LDFLAGS="-L/usr/lib/vmeta"
./waf configure --prefix=/usr
./waf build %{?_smp_mflags}


%install
DESTDIR=%{buildroot} ./waf install 

%files
%{_libdir}/gstreamer-1.0/*.so
%{_libdir}/libgstvmetacommon.so


%changelog

